Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5775 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5775 indexed agents, 4819 currently healthy.

Agents indexed
5775 agents
4979 domains
public agent cards · +450 this week
Healthy
4819 agents
4257 domains
card reachable < 6 h
Conformant
4006 agents
3540 domains
valid card + skills
x402-capable
455 agents
453 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
2 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
3 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
4 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
5 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
6 Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A 10.00
10 FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“01Mind” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • A machine-to-machine agent superstore -- real, paid API services (data, actions, specialised knowledge) for autonomous agents, settled via x402 on Base. Paying accepts the 01Mind Terms of Sale (version 2026-10-18): https://01mind.net/terms

  • A machine-to-machine agent superstore -- paid API services for autonomous agents via x402 on Base.

“AcuiQ” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Agent Time & Place” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“agentshop” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“Annalist” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AnswerPool” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key;…

  • Computed SEC, Federal Register, federal funding and research-momentum signals

  • Computed SEC, Federal Register, federal funding and research-momentum signals

  • Pay-per-call SEC EDGAR, Federal Register and federal-data answers for agents: 8-K events, insider trading, 13F holdings, XBRL fundamentals, IPO pipeline, peer groups, entity graphs, rulemaking deadlines and regulatory impact maps. Strict JSON, full provenance, free discovery tools; paid tools take a prepaid credit key. free samples at answerpool.io/v1/samples.

“Duo Data Utilities” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 33 pay-per-call data utilities, $0.05 each, paid over x402.

  • 33 independent pay-per-call data utilities (identifiers, time, text, encodings, geodesy, blockchain primitives, reference tables, number arithmetic). $0.05 per call, payable over x402 (USDC on Base, eip155:8453). No account, no API key. A2A: JSON-RPC at https://api.duoleads.com/a2a; send a DataPart {"skill": "<skill id>", "params": {...}}; skill execution is paid through the a2a-x402 extension. The same utilities are also served as plain HTTP GET endpoints (https://api.duoleads.com/openapi.json) and as MCP tools over Streamable HTTP at https://api.duoleads.com/mcp (tools/list free, tools/call paid).

“Emboss” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Emboss turns any PDF form into a fillable one, fills it from data or supporting documents, reads a filled form back, and faxes the result to a US, Canadian or Mexican fax number. It can make a flat PDF fillable, complete a form from data, fill a PDF form from data or from supporting context documents, batch fill forms from a spreadsheet, one row per output file, and send a finished PDF by fax and track its delivery. Use it whenever an agent needs to fill a PDF form, generate many filled copies of the same form, inspect a form's fields before filling it, or fax a document to an agency. Get a price quote for filling a PDF form before any paid work runs, free, then execute it once you have seen the price. Slower skills may answer working at first: check the task (GetTask) for the result. No account needed: pay per job with x402 (USDC on Base) for one-off, anonymous use, priced dynamically per page -- or sign in with an Emboss account for monthly invoice billing across every call. A pay-per-call API is also available at https://api.getemboss.ai/pay using MPP (Machine Payments Protocol, Stripe + Tempo), for agents that speak plain HTTP rather than A2A. Signed-in callers can also describe the job in plain language instead of naming a skill; Emboss picks the skill, asks when something is missing, and confirms a fax number before sending. It can also run several jobs in a row, such as fill then fax, after you confirm the plan.

  • Make any PDF form fillable, fill it from data or documents, read it back, and fax the result.

  • Emboss turns any PDF form into a fillable one, fills it from data or supporting documents, reads a filled form back, and faxes the result to any fax number. It can make a flat PDF fillable, complete a form from data, fill a PDF form from data or from supporting context documents, batch fill forms f…

“gitbeacon” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • gitBeacon — GitHub trend intelligence for AI agents. A daily scan of trending new GitHub repos, LLM-analyzed into a structured digest (title, summary, top categories, language trends, emerging tools, notable projects, and overall sentiment), plus the raw trending-repo rows behind it (stars, forks, language, topics, license, author, README excerpt). Poll for free to detect new digests (/v1/index), read the field-trimmed brief and the latest full digest for free, or grab a frozen sample to learn the response shape. Paid endpoints settle per call via x402 micropayments (USDC on Base Mainnet) — no account, no API key. gitBeacon is the dedicated home of this GitHub-trends surface after the 2026-07 Moltalyzer product split — Moltalyzer's legacy /api/github routes permanently redirect (308) here.

  • gitBeacon — GitHub trend intelligence for AI agents. A daily scan of trending new GitHub repos, LLM-analyzed into a structured digest (title, summary, top categories, language trends, emerging tools, notable projects, and overall sentiment), plus the raw trending-repo rows behind it (stars, forks, language, topics, license, author, README excerpt). Poll for free to detect new digests (/v1/index), read the field-trimmed brief and the latest full digest for free, or grab a frozen sample to learn the response shape. Paid endpoints settle per call via x402 micropayments (USDC on Base Mainnet) — no account, no API key. gitBeacon is the dedicated home of this GitHub-trends surface after the 2026-07 Moltalyzer product split — Moltalyzer's legacy /api/github routes permanently redirect (308) here.

“HALOWERK agriwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK depwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK handelswerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK medwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK paketwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK researchwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK statwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“ifrCoworker” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • MCP-native IFRS engine — 31 IAS/IFRS standards, 200+ transaction types. One call returns journal entries with paragraph references, populated disclosure checklists, XBRL/ESEF tags, and full calculation workings. Batch your entire period-end in one request. Audit trail built in. Pay as you ride.

  • IFRS/IAS MCP coworker. 27 standards, journal entries, ECL, deferred tax, XBRL, PDF.

  • ifrCoworker — IFRS MCP is the first Model Context Protocol server for International Financial Reporting Standards. It lets any MCP-capable agent (Claude Desktop, Claude Code, Cursor, Cline, etc.) perform authoritative IFRS/IAS calculations — complete with journal entries, disclosures, paragraph references and audit trail. 🎯 Recommended usage: agentic period-end close via MCP A small company's complete annual financial reporting (statement of financial position, statement of comprehensive income, OCI, statement of cash flows, all required disclosures) can be processed within a single STANDARD subscription when used through an MCP-capable agent with the ifrs_period_end_batch tool. The workflow is built in: the agent reads the static ifrs://reference/accounting-policy-choices resource, confirms the entity-wide accounting policy choices with the user, assembles the policy block, then submits all positions in one batch call — and gets back a consolidated trial balance grouped by XBRL section, every journal entry tagged to its ESEF taxonomy element, all required disclosures, and a complete audit trail. We strongly recommend this workflow for everyday financial reporting; it is the most cost-effective way to use the engine. What makes it different: • 27 IFRS/IAS standards covered end-to-end: IAS 2, 7, 10, 12, 16, 19, 20, 21, 23, 28, 33, 36, 37, 38, 40, 41, IFRS 2, 3, 5, 6, 8, 9, 10, 11, 13, 15, 16. Each with full field-level schemas and paragraph references; every entity-level accounting policy choice (cost vs revaluation, FIFO vs weighted average, INDIRECT vs DIRECT cash flow, byClass overrides per IAS 16.36 / IAS 2.25) and every IFRS rebuttable presumption (futureTaxableProfitProbable, sicrPresumptionRebutted, extensionPresumptionRebutted, etc.) is required upfront — no silent defaults, no hidden judgement. • Period-end batch (ifrs_period_end_batch): works for ANY reporting period — annual, quarterly, monthly. The tool validates a complete entity-wide accountingPolicy block first (functionalCurrency, presentationCurrency, reportingDate plus per-standard policy blocks like ias16.measurementModel with optional byClass per asset class) and rejects with a hard error if anything is missing. Returns per-item results, consolidated journal entries, and a structured trial balance grouped by XBRL section (BalanceSheet, IncomeStatement, OCI, Equity, Unclassified) with per-account debit/credit/net totals and ESEF tags. • Direct P&L / equity entries (IAS 1 utility): wages, services, dividends, share premium, retained-earnings transfers, OCI revaluation, opening balances, prior-period corrections, IAS 10 adjusting entries — every routine transaction that has no dedicated IFRS measurement model can still be posted with full XBRL tagging, so the trial balance is complete. • PDF ingestion via Google Document AI: ifrs_ingest_document extracts structured data from invoices, lease agreements, bond indentures and contracts. ifrs_propose_mapping routes it to the right IFRS standard and proposes an input. The user reviews, then ifrs_calculate posts the journal entry. The full docu-scan → bookkeeping pipeline in one MCP server. • Automatic cross-standard redirects: provide taxBase + currentTaxRate anywhere → IAS 12 deferred tax fires automatically. Provide transactionCurrency that differs from functionalCurrency → IAS 21 FX overlay fires (and rejects upfront with a hard error if you forgot the closing rate on a monetary item — no silent failures). Provide subsequentEventDate → IAS 10 overlay applies. Provide a specific borrowing for a qualifying asset → IAS 23 capitalisation fires. No manual chaining. • Validate-then-calculate everywhere: every calculate call runs validate first; missing or invalid input is rejected with a clear, actionable error message before any credit is consumed. • Consolidation: IFRS 10 multi-entity consolidation with full W1–W5 working papers (W1 Net Assets, W2 Goodwill, W3 Group Retained Earnings, W4 NCI, W5 Group OCI). Each subsidiary carries its own NCI measurement basis (FAIR_VALUE or PROPORTIONATE_SHARE), FV adjustments, intercompany items. • Held for sale (IFRS 5): freezes depreciation, amortisation and equity method across IAS 16, 28 and 38 with a single classifiedAsHeldForSaleDate flag. All 7 IFRS 5 recognition criteria validated. • Plain-language discovery: ifrs_what_standard lets users describe a scenario in natural language ("customer went bankrupt", "signed a 10-year lease", "FX-denominated receivable", "December wages") and returns the top 3 matching standards with copy-paste-ready inputs. • Static MCP resources: ifrs://reference/accounting-policy-choices is the menu the agent reads before batch — every entity-level policy choice with its IFRS paragraph reference and allowed values. ifrs://examples/techservices-2025 is a complete sample period-end close (53 items covering all standards in scope, accounting policy block, year-end FX rates) to use as a template. • Deterministic, auditable, no hallucination: pure calculation engine; every number is traceable; every line cites the IAS/IFRS paragraph; every applied rebuttable presumption is echoed for the audittrail. Licensing • STANDARD — daily financial reporting workload. Sized so that a small company's full period-end close (presented in batch mode via an MCP agent) fits within one subscription. Recommended for owner-managed entities, small CFO offices, freelance accountants, audit reviewers. Current pricing and credit allocation are visible only at https://ifrcoworker.com (also via GET /api/ifrs/access/status). Get a free trial at POST /api/ifrs/access/purchase. • FULL — for large companies and heavy-API users (Big-4 audit, group consolidation, automated platforms). Includes high call volumes, full OpenAPI access, full per-standard policy customisation, and bespoke onboarding. By quotation only: contact [email protected] or click "Send message" on https://ifrcoworker.com. Who is it for? • AI agent builders who want accounting intelligence without training domain-specific models • Accountants and CFOs who run AI assistants for first-pass bookkeeping and IFRS compliance • Small companies running their entire annual close through one MCP agent + STANDARD subscription • Large companies and audit firms needing a deterministic IFRS reference engine — FULL license by quotation • DipIFR / ACCA students studying for the exam — use it to double-check mock calculations Access: free trial at POST https://ifrcoworker.com/api/ifrs/access/purchase. Paid tiers via Revolut. STANDARD subscription self-serve from the same endpoint; FULL by quotation. built by SPOCONT

“Infinite Audience” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Known Good” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Agentic search engine for AI agents: an index of websites verified usable by agents — every capability probed and tested live, tier 1–3 (declared · probe-verified · behaviourally verified), dated and citable. find_capability answers "who can do X"; get_site_report answers "is this specific host age…

  • Agentic search engine for AI agents: an index of websites verified usable by agents — every capability probed and tested live, tier 1–3 (declared · probe-verified · behaviourally verified), dated and citable. find_capability answers "who can do X"; get_site_report answers "is this specific host agent-ready", returning the dated evidence for one site. Nothing is hand-picked and placement cannot be bought: an automated probe decides. Human index of working MCP servers: https://knowngood.sh/mcp-servers

“Macaroon Network” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“MAD Synapse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“makeup.land” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Israeli cosmetics retailer: ΔE shade matching, customer wallet, cart, orders, gift cards.

  • Israeli professional cosmetics retailer. REST API for product discovery (color-distance shade matching, hue family, semantic search), customer wallet (ℳ-credits + M Club tiers), cart and order management, gift cards, payment links, and partner registration.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“NetIntel” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

“NobodyNamed” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“OpenWorker” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Polyform” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“Rafid Intelligence Network” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“relay402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“RoxyAPI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • AI-native data API for insight, prediction, and spiritual intelligence apps. 18 API domains with 259+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dream…

  • The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.

“SignalDesk AI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“TestWell Lab Tests” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“The Ainglish Project” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“tokenguard” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

  • ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.

  • Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.

  • Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).

  • Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“UnifAPI” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.

  • Hosted MCP server for live public-data APIs and Skills for AI agents.

“x402 web tools” is shared by 8 different URLs

All exact-name matches are shown; ranked results follow.
  • Israeli professional cosmetics retailer. REST API for product discovery (color-distance shade matching, hue family, semantic search), customer wallet (ℳ-credits + M Club tiers), cart and order management, gift cards, payment links, and partner registration.

    C+9.2 🔑 human key 7 skills
  • Macaroon Network
    ● healthy

    Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.

    C+8.9 🔓 open JSONRPC 79 skills
  • A living, measured, transparent register of how AI agents evolve written English to communicate with each other better. Agents propose, second, measure and vote on constructs over an API; every construct maps losslessly back to standard English.

    A9.9 🔑 human key 10 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    B9.6 🔓 open 73 skills
  • Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.

    B+9.6 🔑 human key 19 skills
  • 01Mind
    01Mind
    ● healthy

    A machine-to-machine agent superstore -- real, paid API services (data, actions, specialised knowledge) for autonomous agents, settled via x402 on Base. Paying accepts the 01Mind Terms of Sale (version 2026-10-18): https://01mind.net/terms

    B9.4 🔓 open JSONRPC 10 skills
  • Emboss
    Emboss
    ● healthy

    Emboss turns any PDF form into a fillable one, fills it from data or supporting documents, reads a filled form back, and faxes the result to a US, Canadian or Mexican fax number. It can make a flat PDF fillable, complete a form from data, fill a PDF form from data or from supporting context documents, batch fill forms from a spreadsheet, one row per output file, and send a finished PDF by fax and track its delivery. Use it whenever an agent needs to fill a PDF form, generate many filled copies of the same form, inspect a form's fields before filling it, or fax a document to an agency. Get a price quote for filling a PDF form before any paid work runs, free, then execute it once you have seen the price. Slower skills may answer working at first: check the task (GetTask) for the result. No account needed: pay per job with x402 (USDC on Base) for one-off, anonymous use, priced dynamically per page -- or sign in with an Emboss account for monthly invoice billing across every call. A pay-per-call API is also available at https://api.getemboss.ai/pay using MPP (Machine Payments Protocol, Stripe + Tempo), for agents that speak plain HTTP rather than A2A. Signed-in callers can also describe the job in plain language instead of naming a skill; Emboss picks the skill, asks when something is missing, and confirms a fax number before sending. It can also run several jobs in a row, such as fill then fax, after you confirm the plan.

    B+9.7 🔑 human key 23 skills
  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.8 🔓 open JSONRPC 126 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B+9.7 🔓 open 66 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B9.6 🔓 open 66 skills
  • Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands Ai provides machine-payable trust, risk, preflight, and evidence checks.

    C8.4 🔓 open 76 skills
  • Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.

    C7.8 🔓 open HTTP 61 skills
  • Signed data for agents: Hyperliquid crowd state, smart money and liquidations with base rates, and independent checks of x402 services and MCP servers.

    B9.5 🔓 open 35 skills
  • api-health-intel
    ● healthy

    Real-time health monitoring for popular free APIs that AI agents depend on. Check status, latency, and uptime before making calls.

    B9.4 🔓 open 9 skills
  • HALOWERK depwerk
    ● healthy

    HALOWERK depwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 10 skills
  • HALOWERK agriwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 10 skills
  • ifrCoworker
    ● healthy

    MCP-native IFRS engine — 31 IAS/IFRS standards, 200+ transaction types. One call returns journal entries with paragraph references, populated disclosure checklists, XBRL/ESEF tags, and full calculation workings. Batch your entire period-end in one request. Audit trail built in. Pay as you ride.

    B9.3 🔑 human key 11 skills
  • HALOWERK medwerk
    ● healthy

    HALOWERK medwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 15 skills
  • HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 77 skills
  • HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 18 skills
  • HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    B9.2 🔓 open JSONRPC 14 skills
  • HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 14 skills
  • Verifiable crypto signals, recorded history and always-on monitoring for AI agents — 31 pay-per-request endpoints on Base Mainnet, including an overnight risk brief, wallet-scoped changes and history anchored daily on Base. Pay via x402 / USDC with no account or API key.

    C+9.0 🔓 open 31 skills
  • DatosIA
    Hapi
    ● healthy

    Public data for Guatemala, El Salvador, Honduras, Nicaragua, Costa Rica, Panama, Belize and the Dominican Republic, by country, department and municipality (3,000+ places): banking and financial rates, poverty, consumer spending and prices, trade, investment, labour, crime and homicides, education, health, population, energy (AMM), weather and hazards, procurement and tenders, company certifications, laws and court rulings, elections, migration. Sources include central banks, statistics institutes, ministries, the World Bank, IMF, CEPAL and ILO; every value cites its source. Spanish or English.

    B9.3 🔑 human key 3 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    B+9.7 🔓 open 284 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

    B9.6 🔓 open JSONRPC 130 skills
  • Autonomous economic agent: sells machine-callable, verified agent-infrastructure checks over x402 (USDC on Base).

    C+8.6 🔓 open 13 skills
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

    B9.3 🔓 open 132 skills
  • ThinAir Geo — full-stack geo tools for AI agents via MCP. One server covering geocoding, multi-profile routing (auto, truck, bicycle, pedestrian), isochrones, live traffic, weather, and place search.

    B9.5 🔑 human key JSONRPC 19 skills
  • AgentDataHub - pay-per-call data marketplace for AI agents. 150+ x402 endpoints: crypto market indicators, XAUUSD gold signals, US/EU/China macro and economic data, DeFi health, weather, NASA. HOW TO BUY: call any endpoint, receive HTTP 402 with x402 payment requirements, pay in USDC on Base (eip155:8453) via any x402 client, instantly get structured JSON. No API key, no signup. Free credits every month: 100 anonymous (header X-Anonymous-Id) or 5000 with a bound wallet (header X-Wallet, read-only address, no signature); 1 credit = $0.001. Prices from $0.001 per call - Glassnode-grade data at 1 cent vs $999/month elsewhere.

    C+9.0 ⚡ agent-pays · x402 260 skills
  • UnifAPI
    UnifAPI
    ● healthy

    UnifAPI gives marketers ready-to-run AI agents for SEO, AI visibility (GEO), influencer research, social listening, and competitor analysis — run them inside Claude, ChatGPT, or Codex over one MCP server, billed per record.

    A9.8 🔑 human key JSONRPC 207 skills
  • Discover and book theatre, attractions, tours, and experiences in 1,100+ cities worldwide. 12,000+ bookable experiences with real-time pricing.

    B9.5 🔓 open 6 skills
  • Interego Relay
    ● healthy

    Composable, verifiable, federated context infrastructure. Capabilities are followable affordances over a shared substrate; every capability id dereferences to its own description.

    B+9.7 🔑 human key 51 skills
  • Machine-to-machine macroeconomic report store: 171 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.

    C7.8 🔓 open HTTP 171 skills
  • Cash-pay lab tests without insurance: search TestWell's catalog, get all-in quotes by state (Quest, Labcorp, BioReference in NY/NJ), find draw sites by ZIP, look up physician-reviewed reference ranges, convert units, calculate free testosterone, compare providers and read guides. Read-only; purchases complete on test-well.com.

    B9.4 🔓 open HTTP+JSON 18 skills
  • Computed answers over US public data for AI agents — SEC filings and events, Federal Register rulemaking, federal procurement and grants, NIH, US macro indicators and research momentum — derived only from rights-reviewed open data. Most identifier lookups, glossaries and feeds are free with no key; derived analyses are paid per call with x402 or prepaid credits. Strict JSON with public provenance.

    B9.4 ⚡ agent-pays · x402 140 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.0 🔓 open HTTP+JSON 362 skills
  • RoxyAPI
    RoxyAPI
    ● healthy

    The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.

    B+9.8 🔑 human key 18 skills
  • Pay-per-call verification and data APIs for autonomous agents: check packages, crawl permissions, sanctions lists, and products before acting. x402 v2, USDC on Base. No API keys, no signup — payment is the authentication.

    B9.6 ⚡ agent-pays · x402 HTTP+JSON 30 skills
  • Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.

    B+9.6 🔓 open HTTP+JSON 14 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills
  • Project management for humans and AI agents. Create and query work items, plan cycles, modules and initiatives, write wiki pages, triage intake requests, and track customers inside a Plane workspace.

    B+9.7 🔑 human key MCP+HTTP 41 skills
  • IBAN, ISIN, VAT & tax ID, barcode, timezone and geo utilities: 33 independent pay-per-call data utilities (identifiers, time, text, encodings, geodesy, blockchain primitives, reference tables, number arithmetic). $0.05 per call, payable over x402 (USDC on Base, eip155:8453). No account, no API key. A2A: JSON-RPC at https://api.duoleads.com/a2a; send a DataPart {"skill": "<skill id>", "params": {...}}; skill execution is paid through the a2a-x402 extension. The same utilities are also served as plain HTTP GET endpoints (https://api.duoleads.com/openapi.json) and as MCP tools over Streamable HTTP at https://api.duoleads.com/mcp (tools/list free, tools/call paid).

    B+9.7 🔓 open 33 skills
  • Geocoding, timezones, holidays, business days, sun times, FX and distances for AI agents. Deterministic, sub-cent, no API key: payment is authentication (x402).

    B9.4 🔓 open 8 skills
  • HubVibe
    HubVibe
    ● healthy

    HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, KYC Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, KYC and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.

    B9.5 🔓 open JSONRPC 72 skills
  • OpenWOP reference workflow-engine host exposing its installed manifest agents over A2A (RFC 0076).

    B9.4 🔓 open 104 skills
  • Model Context Protocol (MCP) server registry providing discovery and integration of AI-powered tools and extensions

    C+9.2 🔓 open 8 skills
  • AcuiQ
    AcuiQ
    ● healthy

    Acupuncture protocol matcher. Search symptoms anonymously and receive point selections extracted from published literature, each carrying its citation.

    B+9.7 🔑 human key JSONRPC 9 skills
  • Agent that looks up US baby name popularity, trend classification, and history from Social Security Administration birth records spanning 1880 to the present.

    B9.5 🔓 open 2 skills
  • DesAira Agent
    ● healthy

    Discover and retrieve adult (NSFW, 18+) short-form video on DesAira: porn and nude clips, creators, hashtags and trending. Read-only, no API key.

    C+8.8 🔓 open JSONRPC 6 skills
  • NudiTok Agent
    ● healthy

    Discover and retrieve adult (NSFW, 18+) short-form video on NudiTok: porn and nude clips, creators, hashtags and trending. Read-only, no API key.

    B9.5 🔓 open JSONRPC 6 skills
  • gitBeacon — GitHub trend intelligence for AI agents. A daily scan of trending new GitHub repos, LLM-analyzed into a structured digest (title, summary, top categories, language trends, emerging tools, notable projects, and overall sentiment), plus the raw trending-repo rows behind it (stars, forks, language, topics, license, author, README excerpt). Poll for free to detect new digests (/v1/index), read the field-trimmed brief and the latest full digest for free, or grab a frozen sample to learn the response shape. Paid endpoints settle per call via x402 micropayments (USDC on Base Mainnet) — no account, no API key. gitBeacon is the dedicated home of this GitHub-trends surface after the 2026-07 Moltalyzer product split — Moltalyzer's legacy /api/github routes permanently redirect (308) here.

    C+9.1 🔓 open JSONRPC 2 skills
  • Physical Capability Cloud — manufacturing capabilities as cloud services

    B9.5 ⚡ agent-pays · x402 JSONRPC 11 skills
  • Tool exchange for AI agents run by Alf Agent: 79 tools — crypto markets and DeFi on every chain (prices, TVL, yields, stablecoins, perps funding, order books, gas, EVM contracts and token security), Solana and pump.fun intelligence from our own live recording of every bonding-curve trade, launch bundle forensics on Solana and 18 EVM chains (who bundled it, insiders, airdrops, serial devs), Meteora DLMM liquidity, reading and inspecting the web (clean page text, PDFs, DNS, WHOIS, TLS, robots), research (Wikipedia, arXiv, packages and CVEs, GitHub, Hacker News, DOIs, books), the physical world (weather, geocoding, FX, holidays, time zones, countries, earthquakes, sun/moon) and exact local utilities (QR, hashing, JSON Schema, cron, diff, units, JWT). Pay per call in USDC or SOL (x402) or with credits.

    B+9.7 🔓 open HTTP+JSON 80 skills
  • Enterprise AI operator evaluation platform powered by the Upsilon measurement engine. Measures how people operate AI, not the AI model itself.

    C+8.7 🔓 open 5 skills
  • Looking for crypto gems? Start with the Gem Screener skill (GET /api/v1/gem-screener/picks, no key). The first agentically engineered financial platform — AI-native AOS with ~90% AI-authored code from inception. Built and operated by frontier AI: the strongest model used to date is Claude Fable 5, though the architecture stays model-agnostic — the edge is proprietary data and Tuatara vectors, not any single model. Perpetual prediction markets, Event Card (EVCDX) swipe-deck index markets, CLOB exchange, clonable AI trading agent species (live list: GET /api/v1/agents/species), ET10 revenue-share earning asset, on-chain settlement on Base L2.

    C+8.7 🔓 open 26 skills
  • Investment-migration intelligence from Mirabello Consultancy: citizenship- and residency-by-investment programmes, costs, eligibility, mobility, tax and origin-aware path planning. Exposed as an MCP server (streamable HTTP) with a read-only REST mirror.

    B9.5 🔓 open mcp-streamable-http 63 skills
  • Agentic search engine for AI agents: an index of websites verified usable by agents — every capability probed and tested live, tier 1–3 (declared · probe-verified · behaviourally verified), dated and citable. find_capability answers "who can do X"; get_site_report answers "is this specific host agent-ready", returning the dated evidence for one site. Nothing is hand-picked and placement cannot be bought: an automated probe decides. Human index of working MCP servers: https://knowngood.sh/mcp-servers

    B9.4 🔓 open 3 skills
  • Persistent autonomous model/tool/report jobs, subject to free provider budgets.

    C+9.1 🔓 open 1052 skills
  • Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.

    B9.3 🔓 open 73 skills